Number.prototype.formatMetricPretty = function (units) {
    let value = this.valueOf();
    let metricPrefix = '';
    if (value > 1024 * 1024) {
        value /= 1024 * 1024;
        metricPrefix = 'Mi';
    }
    else if (value > 1024) {
        value /= 1024;
        metricPrefix = 'Ki';
    }
    return '%0.2f %s%s'.format(value, metricPrefix, units || '');
};
export class Constantes {
}
Constantes.RED = { red: 1, green: 0, blue: 0, alpha: 1 };
Constantes.GREEN = { red: 0, green: 1, blue: 0, alpha: 1 };
Constantes.BLUE = { red: 0, green: 0, blue: 1, alpha: 1 };
Constantes.BLACK = { red: 0, green: 0, blue: 0, alpha: 1.0 };
Constantes.WHITE = { red: 1, green: 1, blue: 1, alpha: 1.0 };
Constantes.DEFAULT_GRID_COLOR = { red: 0.34, green: 0.34, blue: 0.34, alpha: 0.6 };
Constantes.DEFAULT_STATS_COLOR = { red: 0, green: 0.74, blue: 0.94, alpha: 1.0 };
Constantes.INDICATOR_UPDATE_INTERVAL = 250;
Constantes.INDICATOR_NUM_GRID_LINES = 8;
Constantes.ITEM_LABEL_SHOW_TIME = 0.15;
Constantes.ITEM_LABEL_HIDE_TIME = 0.1;
Constantes.ITEM_HOVER_TIMEOUT = 300;
export const globalSettingsKeys = [
    'debug-mode',
    'queued-pref-category',
    'current-profile',
    'profiles',
    'processor-menu-gpu',
    'processor-menu-gpu-color',
    'headers-height',
];
